Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMProviderException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sun.wbem.cim.CIMException
                        |
                        +--com.sun.wbem.cim.CIMProviderException

public class CIMProviderException
extends CIMException

Exception class representing provider exceptions that occur in the CIMOM's providers.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `GENERAL_EXCEPTION` There was some error within the provider implementation.
`static java.lang.String` | `NO_EVENT_PROVIDER` The event provider class is not found.
`static java.lang.String` | `NO_INSTANCE_PROVIDER` The instance provider class is not found.
`static java.lang.String` | `NO_METHOD_PROVIDER` The method provider class is not found.
`static java.lang.String` | `NO_PROPERTY_PROVIDER` The property provider class is not found.
`static java.lang.String` | `NOT_EVENT_PROVIDER` The provider class present in the class path does not implement the EventProvider interface - even though it has been declared as an event provider by setting the Provider qualifier in the MOF class definition.
`static java.lang.String` | `NOT_INSTANCE_PROVIDER` The provider class present in the class path does not implement the InstanceProvider interface - even though it has been declared as an instance provider by setting the Provider qualifier in the MOF class definition.
`static java.lang.String` | `NOT_METHOD_PROVIDER` The provider class does not implement the MethodProvider interface - even though it has been declared as a method provider by setting the Provider qualifier in the MOF method definition.
`static java.lang.String` | `NOT_PROPERTY_PROVIDER` The provider class present in the class path does not implement the PropertyProvider interface - even though it has been declared as a property provider by setting the Provider qualifier in the MOF property definition.

Fields inherited from class com.sun.wbem.cim.CIMException
`CIM_ERR_ALREADY_EXISTS, CIM_ERR_CLASS_HAS_CHILDREN, CIM_ERR_CLASS_HAS_INSTANCES, CIM_ERR_FAILED, CIM_ERR_INVALID_CLASS, CIM_ERR_INVALID_NAMESPACE, CIM_ERR_INVALID_PARAMETER, CIM_ERR_INVALID_QUERY, CIM_ERR_LOW_ON_MEMORY, CIM_ERR_NOT_FOUND, CIM_ERR_NOT_SUPPORTED, DEFAULT, PDEFAULT, VER_ERROR`

Constructor Summary
`CIMProviderException()` Creates a CIMProviderException with no detail message.
`CIMProviderException(java.lang.String s)` Creates a CIMProviderException with the specified detail message.
`CIMProviderException(java.lang.String s, java.lang.Object param)` Creates a CIMProviderException with the specified detail message and one exception parameter.
`CIMProviderException(java.lang.String s, java.lang.Object[] param)` Creates a CIMProviderException with the specified detial message and an array of exception parameters.
`CIMProviderException(java.lang.String s, java.lang.Object param1, java.lang.Object param2)` Creates a CIMProviderException with the specified detail message and two exception parameters.
`CIMProviderException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Creates a CIMProviderException with the specified message and three exception parameters.
`CIMProviderException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3, java.lang.Object param4)` Creates a CIMProviderException with the specified message and four exception parameters.
`CIMProviderException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3, java.lang.Object param4, java.lang.Object param5)` Creates a CIMProviderException with the specified detail message and five exception parameters.

Methods inherited from class com.sun.wbem.cim.CIMException
`getID, getParams, getXmlCode, getXmlCode, isXmlCode, setParams, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOT_INSTANCE_PROVIDER

    public static final java.lang.String NOT_INSTANCE_PROVIDER

  The provider class present in the class path does not implement the InstanceProvider interface - even though it has been declared as an instance provider by setting the Provider qualifier in the MOF class definition. This error message uses two parameters, the CIM class for which the provider is being defined, the name of the Java provider class.

### NO_INSTANCE_PROVIDER

    public static final java.lang.String NO_INSTANCE_PROVIDER

  The instance provider class is not found. This could be because the class path of the CIMOM does not contain the provider class. parameters, the CIM class for which the provider is being defined, the name of the Java provider class.

### NOT_METHOD_PROVIDER

    public static final java.lang.String NOT_METHOD_PROVIDER

  The provider class does not implement the MethodProvider interface - even though it has been declared as a method provider by setting the Provider qualifier in the MOF method definition. This error message uses two parameters, the method for which the provider is being defined, the name of the Java provider class.

### NO_METHOD_PROVIDER

    public static final java.lang.String NO_METHOD_PROVIDER

  The method provider class is not found. This could be because the class path of the CIMOM does not contain the provider class. parameters, the CIM class for which the provider is being defined, the name of the Java provider class.

### NOT_PROPERTY_PROVIDER

    public static final java.lang.String NOT_PROPERTY_PROVIDER

  The provider class present in the class path does not implement the PropertyProvider interface - even though it has been declared as a property provider by setting the Provider qualifier in the MOF property definition. This error message uses two parameters, the property for which the provider is being defined, the name of the Java provider class.

### NO_PROPERTY_PROVIDER

    public static final java.lang.String NO_PROPERTY_PROVIDER

  The property provider class is not found. This could be because the class path of the CIMOM does not contain the provider class. parameters, the CIM class for which the provider is being defined, the name of the Java provider class.

### GENERAL_EXCEPTION

    public static final java.lang.String GENERAL_EXCEPTION

  There was some error within the provider implementation. The remaining parameters in this exception are defined by the provider itself.

### NOT_EVENT_PROVIDER

    public static final java.lang.String NOT_EVENT_PROVIDER

  The provider class present in the class path does not implement the EventProvider interface - even though it has been declared as an event provider by setting the Provider qualifier in the MOF class definition. This error message uses two parameters, the CIM class for which the provider is being defined, the name of the Java provider class.

### NO_EVENT_PROVIDER

    public static final java.lang.String NO_EVENT_PROVIDER

  The event provider class is not found. This could be because the class path of the CIMOM does not contain the provider class. parameters, the CIM class for which the provider is being defined, the name of the Java provider class.

Constructor Detail

### CIMProviderException

    public CIMProviderException()

  Creates a CIMProviderException with no detail message.

### CIMProviderException

    public CIMProviderException(java.lang.String s)

  Creates a CIMProviderException with the specified detail message.
  Parameters:
    `s` - the detail message.

### CIMProviderException

    public CIMProviderException(java.lang.String s,
                                java.lang.Object param)

  Creates a CIMProviderException with the specified detail message and one exception parameter.
  Parameters:
    `s` - the detail message.
    `param` - exception parameter.

### CIMProviderException

    public CIMProviderException(java.lang.String s,
                                java.lang.Object param1,
                                java.lang.Object param2)

  Creates a CIMProviderException with the specified detail message and two exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.

### CIMProviderException

    public CIMProviderException(java.lang.String s,
                                java.lang.Object param1,
                                java.lang.Object param2,
                                java.lang.Object param3)

  Creates a CIMProviderException with the specified message and three exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.

### CIMProviderException

    public CIMProviderException(java.lang.String s,
                                java.lang.Object param1,
                                java.lang.Object param2,
                                java.lang.Object param3,
                                java.lang.Object param4)

  Creates a CIMProviderException with the specified message and four exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.
    `param4` - fourth Exception parameter.

### CIMProviderException

    public CIMProviderException(java.lang.String s,
                                java.lang.Object param1,
                                java.lang.Object param2,
                                java.lang.Object param3,
                                java.lang.Object param4,
                                java.lang.Object param5)

  Creates a CIMProviderException with the specified detail message and five exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.
    `param4` - fourth Exception parameter.
    `param5` - fifth Exception parameter.

### CIMProviderException

    public CIMProviderException(java.lang.String s,
                                java.lang.Object[] param)

  Creates a CIMProviderException with the specified detial message and an array of exception parameters.
  Parameters:
    `s` - the detail message.
    `param` - array of exception parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD